%define	module	cssselect

Summary:	Library for parsing CSS3 selectors and translating them to XPath 1.0
Name:		python-%{module}
Version:	0.9.1
Release:	%mkrel 7
Source0:	http://pypi.python.org/packages/source/c/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://packages.python.org/cssselect/
BuildArch:	noarch
BuildRequires:	python-setuptools

%description
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%package -n python3-%{module}
Summary:	serializer for literal Python expressions
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-%{module}
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc AUTHORS CHANGES LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc AUTHORS CHANGES LICENSE README.rst
%{python3_sitelib}/*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.9.1-7.mga6
+ Revision: 970682
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.9.1-6.mga6
+ Revision: 887535
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 750672
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-4.mga5
+ Revision: 728207
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 687951
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.1-2.mga5
+ Revision: 628535
- Rebuild for new Python

* Sat Feb 08 2014 dams <dams> 0.9.1-1.mga5
+ Revision: 585728
- new version 0.9.1

* Tue Oct 22 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 543046
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-3.mga4
+ Revision: 498322
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 06 2013 philippem <philippem> 0.8-2.mga4
+ Revision: 475522
- add python 3

* Fri Jun 28 2013 dams <dams> 0.8-1.mga4
+ Revision: 448090
- new version 0.8

* Mon Jan 28 2013 zezinho <zezinho> 0.6.1-1.mga3
+ Revision: 392966
- fix release tag
- spec cleanup
- imported package python-cssselect


* Tue May 08 2012 Lev Givon <lev@mandriva.org> 0.6.1-1
+ Revision: 797547
- imported package python-cssselect

